/* options.h */

/* File autogenerated by gengetopt version 2.18  */

#ifndef OPTIONS_H
#define OPTIONS_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef OPTIONS_PACKAGE
#define OPTIONS_PACKAGE "pngslice"
#endif

#ifndef OPTIONS_VERSION
#define OPTIONS_VERSION "0.66"
#endif

struct gengetopt_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  char * alt_arg;	/* alt text.  */
  char * alt_orig;	/* alt text original value given at command line.  */
  const char *alt_help; /* alt text help description.  */
  char * basename_arg;	/* output file basename.  */
  char * basename_orig;	/* output file basename original value given at command line.  */
  const char *basename_help; /* output file basename help description.  */
  int digits_arg;	/* digits in strip number.  */
  char * digits_orig;	/* digits in strip number original value given at command line.  */
  const char *digits_help; /* digits in strip number help description.  */
  int external_flag;	/* use an external style (default=off).  */
  const char *external_help; /* use an external style help description.  */
  char * imgpath_arg;	/* prepend path to image name.  */
  char * imgpath_orig;	/* prepend path to image name original value given at command line.  */
  const char *imgpath_help; /* prepend path to image name help description.  */
  int left_flag;	/* left justify (default) (default=off).  */
  const char *left_help; /* left justify (default) help description.  */
  char * margins_arg;	/* left/right margins (em).  */
  char * margins_orig;	/* left/right margins (em) original value given at command line.  */
  const char *margins_help; /* left/right margins (em) help description.  */
  int pixels_arg;	/* height of strip (default='15').  */
  char * pixels_orig;	/* height of strip original value given at command line.  */
  const char *pixels_help; /* height of strip help description.  */
  int right_flag;	/* right justify (default=off).  */
  const char *right_help; /* right justify help description.  */
  char * trim_arg;	/* trim colour.  */
  char * trim_orig;	/* trim colour original value given at command line.  */
  const char *trim_help; /* trim colour help description.  */
  int verbose_flag;	/* verbose (default=off).  */
  const char *verbose_help; /* verbose help description.  */
  int xhtml_flag;	/* write xhtml instead of html (default=off).  */
  const char *xhtml_help; /* write xhtml instead of html help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int alt_given ;	/* Whether alt was given.  */
  int basename_given ;	/* Whether basename was given.  */
  int digits_given ;	/* Whether digits was given.  */
  int external_given ;	/* Whether external was given.  */
  int imgpath_given ;	/* Whether imgpath was given.  */
  int left_given ;	/* Whether left was given.  */
  int margins_given ;	/* Whether margins was given.  */
  int pixels_given ;	/* Whether pixels was given.  */
  int right_given ;	/* Whether right was given.  */
  int trim_given ;	/* Whether trim was given.  */
  int verbose_given ;	/* Whether verbose was given.  */
  int xhtml_given ;	/* Whether xhtml was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *gengetopt_args_info_purpose;
extern const char *gengetopt_args_info_usage;
extern const char *gengetopt_args_info_help[];

int options (int argc, char * const *argv,
  struct gengetopt_args_info *args_info);
int options2 (int argc, char * const *argv,
  struct gengetopt_args_info *args_info,
  int override, int initialize, int check_required);
int options_file_save(const char *filename,
  struct gengetopt_args_info *args_info);

void options_print_help(void);
void options_print_version(void);

void options_init (struct gengetopt_args_info *args_info);
void options_free (struct gengetopt_args_info *args_info);

int options_required (struct gengetopt_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* OPTIONS_H */
