/*
  tmask.c
  structures for trim mask

  (c) J.J.Green 2002
  $Id: tmask.h,v 1.2 2002/10/13 23:09:34 jjg Exp $
*/

#ifndef TMASK_H
#define TMASK_H

#include <png.h>

/*
  colour model of the trim mask, this is the number of
  channels in the model (handy, but this might possibly
  change (eg, supporting palettes). We put MODEL_INVALID
  to be large though.
*/

#define MODEL_INVALID 256
#define MODEL_RGBA    4
#define MODEL_RGB     3
#define MODEL_GREYA   2
#define MODEL_GREY    1

typedef struct trange_t
{
  int min,max;
} trange_t;

typedef struct tmask_t
{
  int model;
  int depth;
  struct { trange_t red,green,blue,grey,alpha; } channel;
} tmask_t;

extern tmask_t tmask_parse(const char*,int);
extern int     tmask_valid(tmask_t*);
extern int     tmask_channels(tmask_t*);
extern int     tmask_match(tmask_t,const png_bytep);
extern const char* tmask_string_default(int);

#endif
